## Apache Zeta Components Manual :: Docs For Class ezcMvcInternalRedirect

### MvcTools::ezcMvcInternalRedirect

### Class ezcMvcInternalRedirect

The internal redirect object holds a new request object for the next iteration in the dispatcher.

Source for this file: /MvcTools/src/structs/internal_redirect.php

    ezcBaseStruct
       |
       --ezcMvcInternalRedirect

Version: | //autogentag//

### Member Variables

public ezcMvcRequest | `$request` The new request object

### Method Summary

public static ezcMvcRequest | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcMvcInternalRedirect | `__construct( [ $request = null] )` Constructs a new ezcMvcInternalRedirect

### Methods

#### __set_state

static ezcMvcRequest __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcMvcInternalRedirect __construct( [ezcMvcRequest $request = null] )

Constructs a new ezcMvcInternalRedirect

##### Parameters:

Name | Type | Description
--- | --- | ---
`$request` | ezcMvcRequest |

Documentation generated by phpDocumentor 1.4.3